Bug 220630 - sysutils/rubygem-fluentd: missing dependency (tzinfo-data [>= 1.0.0])
Summary: sysutils/rubygem-fluentd: missing dependency (tzinfo-data [>= 1.0.0])
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 220605
  Show dependency treegraph
 
Reported: 2017-07-11 15:40 UTC by Nikolai Lifanov
Modified: 2017-07-30 13:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov freebsd_committer 2017-07-11 15:40:47 UTC
The gemspec lists tzinfo-data [>= 1.0.0] as a runtime dependency, which is not satisfied. This gem will fail at runtime.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-07-15 13:58:34 UTC
https://people.FreeBSD.org/~sunpoet/patch/sysutils-rubygem-fluentd

--- Makefile    (revision 445871)
+++ Makefile    (working copy)
@@ -2,7 +2,7 @@

 PORTNAME=      fluentd
 PORTVERSION=   0.12.14
-PORTREVISION=  1
+PORTREVISION=  2
 CATEGORIES=    sysutils rubygems
 MASTER_SITES=  RG

@@ -18,7 +18,8 @@
        rubygem-cool.io>=1.2.2:devel/rubygem-cool.io \
        rubygem-http_parser.rb>=0.5.1:net/rubygem-http_parser.rb \
        rubygem-sigdump>=0.2.2:devel/rubygem-sigdump \
-       rubygem-tzinfo>=1.0.0:devel/rubygem-tzinfo
+       rubygem-tzinfo>=1.0.0:devel/rubygem-tzinfo \
+       rubygem-tzinfo-data>=1.0.0:devel/rubygem-tzinfo-data

 USE_RUBY=      yes
 PLIST_FILES=   bin/fluent-cat bin/fluent-debug bin/fluent-gem bin/fluentd \
Comment 2 commit-hook freebsd_committer 2017-07-30 13:14:08 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Jul 30 13:13:21 UTC 2017
New revision: 446927
URL: https://svnweb.freebsd.org/changeset/ports/446927

Log:
  Add missing RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		220630
  Reported by:	lifanov
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 18 days)

Changes:
  head/sysutils/rubygem-fluentd/Makefile